PLplot: scstubs.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions | Variables
scstubs.c File Reference
`#include "plstubs.h"`

Go to the source code of this file.

## Macros
#define | STDCALL
#define | MAXARGS 20
#define | PLSETMAPFORMC FNAME( PLSETMAPFORMC, plsetmapformc )
#define | PLCLEARMAPFORMC FNAME( PLCLEARMAPFORMC, plclearmapformc )

## Functions
static | void (STDCALL *plmapform)(PLINT *
static void | pltransformf2c (PLFLT x, PLFLT y, PLFLT *tx, PLFLT *ty, PLPointer data)
void | PL_SETCONTLABELFORMAT (PLINT *lexp, PLINT *sigdig)
void | PL_SETCONTLABELFORMATa (PLINT *lexp, PLINT *sigdig)
void | PL_SETCONTLABELPARAM (PLFLT *offset, PLFLT *size, PLFLT *spacing, PLINT *active)
void | PL_SETCONTLABELPARAMa (PLFLT *offset, PLFLT *size, PLFLT *spacing, PLINT *active)
void | PLABORT7 (const char *text)
void | PLADV (PLINT *sub)
void | PLARC (PLFLT *x, PLFLT *y, PLFLT *a, PLFLT *b, PLFLT *angle1, PLFLT *angle2, PLFLT *rotate, PLBOOL *fill)
void | PLAXES7 (PLFLT *x0, PLFLT *y0, const char *xopt, PLFLT *xtick, PLINT *nxsub, const char *yopt, PLFLT *ytick, PLINT *nysub)
void | PLBIN (PLINT *nbin, PLFLT *x, PLFLT *y, PLINT *center)
void | PLBTIME (PLINT *year, PLINT *month, PLINT *day, PLINT *hour, PLINT *min, PLFLT *sec, PLFLT *ctime)
void | PLBOP (void)
void | PLBOX7 (const char *xopt, PLFLT *xtick, PLINT *nxsub, const char *yopt, PLFLT *ytick, PLINT *nysub)
void | PLBOX37 (const char *xopt, const char *xlabel, PLFLT *xtick, PLINT *nxsub, const char *yopt, const char *ylabel, PLFLT *ytick, PLINT *nysub, const char *zopt, const char *zlabel, PLFLT *ztick, PLINT *nzsub)
void | PLCALC_WORLD (PLFLT *rx, PLFLT *ry, PLFLT *wx, PLFLT *wy, PLINT *window)
void | PLCALC_WORLDa (PLFLT *rx, PLFLT *ry, PLFLT *wx, PLFLT *wy, PLINT *window)
void | PLCLEAR (void)
void | PLCOL0 (PLINT *icol)
void | PLCOL1 (PLFLT *col)
void | PLCOLORBAR (PLFLT *p_colorbar_width, PLFLT *p_colorbar_height, PLINT *opt, PLINT *position, PLFLT *x, PLFLT *y, PLFLT *x_length, PLFLT *y_length, PLINT *bg_color, PLINT *bb_color, PLINT *bb_style, PLFLT *low_cap_color, PLFLT *high_cap_color, PLINT *cont_color, PLFLT *cont_width, PLINT *n_labels, const PLINT *label_opts, PLINT *n_axes, const PLFLT *ticks, const PLINT *sub_ticks, const PLINT *n_values, const PLFLT *values)
void | PLCONFIGTIME (PLFLT *scale, PLFLT *offset1, PLFLT *offset2, PLINT *ccontrol, PLBOOL *ifbtime_offset, PLINT *year, PLINT *month, PLINT *day, PLINT *hour, PLINT *min, PLFLT *sec)
void | PLCPSTRM (PLINT *iplsr, PLBOOL *flags)
void | PLCTIME (PLINT *year, PLINT *month, PLINT *day, PLINT *hour, PLINT *min, PLFLT *sec, PLFLT *ctime)
void | PLEND (void)
void | PLEND1 (void)
void | PLENV (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax, PLINT *just, PLINT *axis)
void | PLENV0 (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax, PLINT *just, PLINT *axis)
void | PLEOP (void)
void | PLERRX (PLINT *n, PLFLT *xmin, PLFLT *xmax, PLFLT *y)
void | PLERRY (PLINT *n, PLFLT *x, PLFLT *ymin, PLFLT *ymax)
void | PLFAMADV (void)
void | PLFILL (PLINT *n, PLFLT *x, PLFLT *y)
void | PLFILL3 (PLINT *n, PLFLT *x, PLFLT *y, PLFLT *z)
void | PLFLUSH (void)
void | PLFONT (PLINT *font)
void | PLFONTLD (PLINT *charset)
void | PLGCHR (PLFLT *chrdef, PLFLT *chrht)
void | PLGCOL0 (PLINT *icol0, PLINT *r, PLINT *g, PLINT *b)
void | PLGCOL0A (PLINT *icol0, PLINT *r, PLINT *g, PLINT *b, PLFLT *a)
void | PLGCOLBG (PLINT *r, PLINT *g, PLINT *b)
void | PLGCOLBGA (PLINT *r, PLINT *g, PLINT *b, PLFLT *a)
void | PLGCOMPRESSION (PLINT *compression)
void | PLGCMAP1_RANGE (PLFLT *min_color, PLFLT *max_color)
void | PLGDEV7 (char *dev, int length)
void | PLGDIDEV (PLFLT *p_mar, PLFLT *p_aspect, PLFLT *p_jx, PLFLT *p_jy)
void | PLGDIORI (PLFLT *p_rot)
void | PLGDIPLT (PLFLT *p_xmin, PLFLT *p_ymin, PLFLT *p_xmax, PLFLT *p_ymax)
void | PLGETCURSOR (PLGraphicsIn *gin)
void | PLGFAM (PLINT *fam, PLINT *num, PLINT *bmax)
void | PLGFCI (PLUNICODE *pfci)
void | PLGFNAM7 (char *fnam, int length)
void | PLGFONT (PLINT *family, PLINT *style, PLINT *weight)
void | PLGLEVEL (PLINT *level)
void | PLGPAGE (PLFLT *xpmm, PLFLT *ypmm, PLINT *xwid, PLINT *ywid, PLINT *xoff, PLINT *yoff)
void | PLGRA (void)
void | PLGRADIENT (PLINT *n, PLFLT *x, PLFLT *y, PLFLT *angle)
void | PLGSPA (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax)
void | PLGSTRM (PLINT *strm)
void | PLGVER7 (char *ver)
void | PLGVPD (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | PLGVPW (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | PLGXAX (PLINT *digmax, PLINT *digits)
void | PLGYAX (PLINT *digmax, PLINT *digits)
void | PLGZAX (PLINT *digmax, PLINT *digits)
void | PLHIST (PLINT *n, PLFLT *data, PLFLT *datmin, PLFLT *datmax, PLINT *nbin, PLINT *oldwin)
void | PLHLS (PLFLT *hue, PLFLT *light, PLFLT *sat)
void | PLHLSRGB (PLFLT *h, PLFLT *l, PLFLT *s, PLFLT *r, PLFLT *g, PLFLT *b)
void | PLIMAGEFR (PLFLT *idata, PLINT *nx, PLINT *ny, PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax, PLFLT *zmin, PLFLT *zmax, PLFLT *Dxmin, PLFLT *Dxmax, PLFLT *Dymin, PLFLT *Dymax, PLFLT *valuemin, PLFLT *valuemax)
void | PLIMAGE (PLFLT *idata, PLINT *nx, PLINT *ny, PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax, PLFLT *zmin, PLFLT *zmax, PLFLT *Dxmin, PLFLT *Dxmax, PLFLT *Dymin, PLFLT *Dymax)
void | PLINIT (void)
void | PLJOIN (PLFLT *x1, PLFLT *y1, PLFLT *x2, PLFLT *y2)
void | PLLAB7 (const char *xlab, const char *ylab, const char *title)
void | PLLEGEND_CNV_TEXT (PLINT *id, PLINT *number, char *string, PLINT length)
void | PLLEGEND (PLFLT *p_legend_width, PLFLT *p_legend_height, PLINT *opt, PLINT *position, PLFLT *x, PLFLT *y, PLFLT *plot_width, PLINT *bg_color, PLINT *bb_color, PLINT *bb_style, PLINT *nrow, PLINT *ncolumn, PLINT *nlegend, const PLINT *opt_array, PLFLT *text_offset, PLFLT *text_scale, PLFLT *text_spacing, PLFLT *text_justification, const PLINT *text_colors, const PLINT *box_colors, const PLINT *box_patterns, const PLFLT *box_scales, const PLFLT *box_line_widths, const PLINT *line_colors, const PLINT *line_styles, const PLFLT *line_widths, const PLINT *symbol_colors, const PLFLT *symbol_scales, const PLINT *symbol_numbers)
void | PLLIGHTSOURCE (PLFLT *x, PLFLT *y, PLFLT *z)
void | PLLINE (PLINT *n, PLFLT *x, PLFLT *y)
void | PLLINE3 (PLINT *n, PLFLT *x, PLFLT *y, PLFLT *z)
void | PLLSTY (PLINT *lin)
void | PLMAP7 (const char *type, PLFLT *minlong, PLFLT *maxlong, PLFLT *minlat, PLFLT *maxlat)
void | PLMERIDIANS7 (PLFLT *dlong, PLFLT *dlat, PLFLT *minlong, PLFLT *maxlong, PLFLT *minlat, PLFLT *maxlat)
void | PLMKSTRM (PLINT *p_strm)
void | PLMTEX7 (const char *side, PLFLT *disp, PLFLT *pos, PLFLT *just, const char *text)
void | PLMTEX37 (const char *side, PLFLT *disp, PLFLT *pos, PLFLT *just, const char *text)
void | PLPARSEOPTS7 (int *numargs, const char *iargs, PLINT *mode, PLINT *maxindex)
void | PLPAT (PLINT *nlin, PLINT *inc, PLINT *del)
void | PLPATH (PLINT *n, PLFLT *x1, PLFLT *y1, PLFLT *x2, PLFLT *y2)
void | PLPOIN (PLINT *n, PLFLT *x, PLFLT *y, PLINT *code)
void | PLPOIN3 (PLINT *n, PLFLT *x, PLFLT *y, PLFLT *z, PLINT *code)
void | PLPOLY3 (PLINT *n, PLFLT *x, PLFLT *y, PLFLT *z, PLBOOL *draw, PLBOOL *ifcc)
void | PLPREC (PLINT *setp, PLINT *prec)
void | PLPSTY (PLINT *patt)
void | PLPTEX7 (PLFLT *x, PLFLT *y, PLFLT *dx, PLFLT *dy, PLFLT *just, const char *text)
void | PLPTEX37 (PLFLT *x, PLFLT *y, PLFLT *z, PLFLT *dx, PLFLT *dy, PLFLT *dz, PLFLT *sx, PLFLT *sy, PLFLT *sz, PLFLT *just, const char *text)
PLFLT | PLRANDD (void)
void | PLREPLOT (void)
void | PLRGB (PLFLT *red, PLFLT *green, PLFLT *blue)
void | PLRGB1 (PLINT *r, PLINT *g, PLINT *b)
void | PLRGBHLS (PLFLT *r, PLFLT *g, PLFLT *b, PLFLT *h, PLFLT *l, PLFLT *s)
void | PLSCHR (PLFLT *def, PLFLT *scale)
void | PLSCMAP0 (PLINT *r, PLINT *g, PLINT *b, PLINT *ncol0)
void | PLSCMAP0A (PLINT *r, PLINT *g, PLINT *b, PLFLT *a, PLINT *ncol0)
void | PLSCMAP0N (PLINT *n)
void | PLSCMAP1 (PLINT *r, PLINT *g, PLINT *b, PLINT *ncol1)
void | PLSCMAP1A (PLINT *r, PLINT *g, PLINT *b, PLFLT *a, PLINT *ncol1)
void | PLSCMAP1L (PLBOOL *itype, PLINT *npts, PLFLT *intensity, PLFLT *coord1, PLFLT *coord2, PLFLT *coord3, PLBOOL *alt_hue_path)
void | PLSCMAP1L2 (PLBOOL *itype, PLINT *npts, PLFLT *intensity, PLFLT *coord1, PLFLT *coord2, PLFLT *coord3)
void | PLSCMAP1LA (PLBOOL *itype, PLINT *npts, PLFLT *intensity, PLFLT *coord1, PLFLT *coord2, PLFLT *coord3, PLFLT *a, PLBOOL *alt_hue_path)
void | PLSCMAP1LA2 (PLBOOL *itype, PLINT *npts, PLFLT *intensity, PLFLT *coord1, PLFLT *coord2, PLFLT *coord3, PLFLT *a)
void | PLSCMAP1N (PLINT *n)
void | PLSCMAP1_RANGE (PLFLT *min_color, PLFLT *max_color)
void | PLSCOL0 (PLINT *icol0, PLINT *r, PLINT *g, PLINT *b)
void | PLSCOL0A (PLINT *icol0, PLINT *r, PLINT *g, PLINT *b, PLFLT *a)
void | PLSCOLBG (PLINT *r, PLINT *g, PLINT *b)
void | PLSCOLBGA (PLINT *r, PLINT *g, PLINT *b, PLFLT *a)
void | PLSCOLOR (PLINT *color)
void | PLSCOMPRESSION (PLINT *compression)
void | PLSDEV7 (const char *dev)
void | PLSDIDEV (PLFLT *mar, PLFLT *aspect, PLFLT *jx, PLFLT *jy)
void | PLSDIMAP (PLINT *dimxmin, PLINT *dimxmax, PLINT *dimymin, PLINT *dimymax, PLFLT *dimxpmm, PLFLT *dimypmm)
void | PLSDIORI (PLFLT *rot)
void | PLSDIPLT (PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | PLSDIPLZ (PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | PLSEED (unsigned int *s)
void | PLSESC (PLINT *esc)
void | PLSETOPT7 (const char *opt, const char *optarg)
void | PLSFAM (PLINT *fam, PLINT *num, PLINT *bmax)
void | PLSFCI (PLUNICODE *fci)
void | PLSFNAM7 (const char *fnam)
void | PLSFONT (PLINT *family, PLINT *style, PLINT *weight)
void | PLSLABELFUNC_ON (void(STDCALL *labelfunc)(PLINT *, PLFLT *, char *, PLINT *, PLINT))
void | PLSLABELFUNC_ONa (void(STDCALL *labelfunc)(PLINT *, PLFLT *, char *, PLINT *, PLINT))
void | PLSLABELFUNC_OFF (PLINT *dummy)
void | PLSLABELFUNC_OFFa (PLINT *dummy)
void | PLSLABELFUNC_NONE (void)
void | PLSLABELFUNC_NONEa (void)
void | PLSMAJ (PLFLT *def, PLFLT *scale)
void | PLSMEM (PLINT *maxx, PLINT *maxy, void *plotmem)
void | PLSMEMA (PLINT *maxx, PLINT *maxy, void *plotmem)
void | PLSMIN (PLFLT *def, PLFLT *scale)
void | PLSORI (PLINT *ori)
void | PLSPAGE (PLFLT *xpmm, PLFLT *ypmm, PLINT *xwid, PLINT *ywid, PLINT *xoff, PLINT *yoff)
void | PLSPAL07 (const char *filename)
void | PLSPAL17 (const char *filename, PLBOOL *interpolate)
void | PLSPAUSE (PLBOOL *pause)
void | PLSSTRM (PLINT *strm)
void | PLSSUB (PLINT *nx, PLINT *ny)
void | PLSSYM (PLFLT *def, PLFLT *scale)
void | PLSTAR (PLINT *nx, PLINT *ny)
void | PLSTART7 (const char *devname, PLINT *nx, PLINT *ny)
void | PLSTRANSFORM1 (void(STDCALL *transformfunc)(PLFLT *, PLFLT *, PLFLT *, PLFLT *))
void | PLSTRANSFORM2 (PLINT *dummy)
void | PLSTRANSFORM3 (void)
void | PLSTRING7 (PLINT *n, PLFLT *x, PLFLT *y, const char *string)
void | PLSTRING37 (PLINT *n, PLFLT *x, PLFLT *y, PLFLT *z, const char *string)
void | PLSTRIPA (PLINT *id, PLINT *pen, PLFLT *x, PLFLT *y)
void | PLSTRIPC (PLINT *id, const char *xspec, const char *yspec, PLFLT *xmin, PLFLT *xmax, PLFLT *xjump, PLFLT *ymin, PLFLT *ymax, PLFLT *xlpos, PLFLT *ylpos, PLBOOL *y_ascl, PLBOOL *acc, PLINT *colbox, PLINT *collab, PLINT *colline, PLINT *styline, const char *legline0, const char *legline1, const char *legline2, const char *legline3, const char *labx, const char *laby, const char *labtop)
void | PLSTRIPD (PLINT *id)
void | PLSTYL (PLINT *n, PLINT *mark, PLINT *space)
void | PLSVECT1 (PLFLT *arrowx, PLFLT *arrowy, PLINT *npts, PLBOOL *fill)
void | PLSVECT2 (void)
void | PLSVPA (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax)
void | PLSXAX (PLINT *digmax, PLINT *digits)
void | PLSYAX (PLINT *digmax, PLINT *digits)
void | PLSYM (PLINT *n, PLFLT *x, PLFLT *y, PLINT *code)
void | PLSZAX (PLINT *digmax, PLINT *digits)
void | PLTEXT (void)
void | PLTIMEFMT7 (const char *fmt)
void | PLVASP (PLFLT *aspect)
void | PLVPAS (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax, PLFLT *aspect)
void | PLVPOR (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax)
void | PLVSTA (void)
void | PLW3D (PLFLT *basex, PLFLT *basey, PLFLT *height, PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax, PLFLT *zmin, PLFLT *zmax, PLFLT *alt, PLFLT *az)
void | PLWIDTH (PLFLT *width)
void | PLWIND (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax)
void | PLXORMOD (PLBOOL *mode, PLBOOL *status)
static void | pltransformf2c (PLFLT x, PLFLT y, PLFLT *tx, PLFLT *ty, PLPointer PL_UNUSED(data))
void | PLCLEARMAPFORMC (void)
void | PLSETMAPFORMC (void(STDCALL *mapform)(PLINT *, PLFLT *, PLFLT *))

## Variables
static PLFLT PLFLT *static PLFLT char PLINT | PLINT
static PLFLT PLFLT PLFLT *static char ** | pllegend_text
static char ** | pllegend_symbols
static char ** | plcolorbar_labels
static char ** | plcolorbar_axisopts

## Macro Definition Documentation

#define MAXARGS 20

#define PLCLEARMAPFORMC FNAME( PLCLEARMAPFORMC, plclearmapformc )

#define PLSETMAPFORMC FNAME( PLSETMAPFORMC, plsetmapformc )

#define STDCALL

Definition at line 35 of file scstubs.c.

## Function Documentation

void PL_SETCONTLABELFORMAT | ( | PLINT * | lexp,
|  | PLINT * | sigdig
| ) |  |

Definition at line 290 of file scstubs.c.

void PL_SETCONTLABELFORMATa | ( | PLINT * | lexp,
|  | PLINT * | sigdig
| ) |  |

Definition at line 296 of file scstubs.c.

void PL_SETCONTLABELPARAM | ( | PLFLT * | offset,
|  | PLFLT * | size,
|  | PLFLT * | spacing,
|  | PLINT * | active
| ) |  |

Definition at line 302 of file scstubs.c.

void PL_SETCONTLABELPARAMa | ( | PLFLT * | offset,
|  | PLFLT * | size,
|  | PLFLT * | spacing,
|  | PLINT * | active
| ) |  |

Definition at line 308 of file scstubs.c.

void PLABORT7 | ( | const char * | text | ) |

Definition at line 314 of file scstubs.c.

void PLADV | ( | PLINT * | sub | ) |

Definition at line 320 of file scstubs.c.

void PLARC | ( | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | a,
|  | PLFLT * | b,
|  | PLFLT * | angle1,
|  | PLFLT * | angle2,
|  | PLFLT * | rotate,
|  | PLBOOL * | fill
| ) |  |

Definition at line 326 of file scstubs.c.

void PLAXES7 | ( | PLFLT * | x0,
|  | PLFLT * | y0,
|  | const char * | xopt,
|  | PLFLT * | xtick,
|  | PLINT * | nxsub,
|  | const char * | yopt,
|  | PLFLT * | ytick,
|  | PLINT * | nysub
| ) |  |

Definition at line 332 of file scstubs.c.

void PLBIN | ( | PLINT * | nbin,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLINT * | center
| ) |  |

Definition at line 339 of file scstubs.c.

void PLBOP | ( | void |  | ) |

Definition at line 351 of file scstubs.c.

void PLBOX37 | ( | const char * | xopt,
|  | const char * | xlabel,
|  | PLFLT * | xtick,
|  | PLINT * | nxsub,
|  | const char * | yopt,
|  | const char * | ylabel,
|  | PLFLT * | ytick,
|  | PLINT * | nysub,
|  | const char * | zopt,
|  | const char * | zlabel,
|  | PLFLT * | ztick,
|  | PLINT * | nzsub
| ) |  |

Definition at line 364 of file scstubs.c.

void PLBOX7 | ( | const char * | xopt,
|  | PLFLT * | xtick,
|  | PLINT * | nxsub,
|  | const char * | yopt,
|  | PLFLT * | ytick,
|  | PLINT * | nysub
| ) |  |

Definition at line 357 of file scstubs.c.

void PLBTIME | ( | PLINT * | year,
|  | PLINT * | month,
|  | PLINT * | day,
|  | PLINT * | hour,
|  | PLINT * | min,
|  | PLFLT * | sec,
|  | PLFLT * | ctime
| ) |  |

Definition at line 345 of file scstubs.c.

void PLCALC_WORLD | ( | PLFLT * | rx,
|  | PLFLT * | ry,
|  | PLFLT * | wx,
|  | PLFLT * | wy,
|  | PLINT * | window
| ) |  |

Definition at line 374 of file scstubs.c.

void PLCALC_WORLDa | ( | PLFLT * | rx,
|  | PLFLT * | ry,
|  | PLFLT * | wx,
|  | PLFLT * | wy,
|  | PLINT * | window
| ) |  |

Definition at line 380 of file scstubs.c.

void PLCLEAR | ( | void |  | ) |

Definition at line 386 of file scstubs.c.

void PLCLEARMAPFORMC | ( | void |  | ) |

Definition at line 1284 of file scstubs.c.

void PLCOL0 | ( | PLINT * | icol | ) |

Definition at line 392 of file scstubs.c.

void PLCOL1 | ( | PLFLT * | col | ) |

Definition at line 398 of file scstubs.c.

void PLCOLORBAR | ( | PLFLT * | p_colorbar_width,
|  | PLFLT * | p_colorbar_height,
|  | PLINT * | opt,
|  | PLINT * | position,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | x_length,
|  | PLFLT * | y_length,
|  | PLINT * | bg_color,
|  | PLINT * | bb_color,
|  | PLINT * | bb_style,
|  | PLFLT * | low_cap_color,
|  | PLFLT * | high_cap_color,
|  | PLINT * | cont_color,
|  | PLFLT * | cont_width,
|  | PLINT * | n_labels,
|  | const PLINT * | label_opts,
|  | PLINT * | n_axes,
|  | const PLFLT * | ticks,
|  | const PLINT * | sub_ticks,
|  | const PLINT * | n_values,
|  | const PLFLT * | values
| ) |  |

Definition at line 404 of file scstubs.c.

void PLCONFIGTIME | ( | PLFLT * | scale,
|  | PLFLT * | offset1,
|  | PLFLT * | offset2,
|  | PLINT * | ccontrol,
|  | PLBOOL * | ifbtime_offset,
|  | PLINT * | year,
|  | PLINT * | month,
|  | PLINT * | day,
|  | PLINT * | hour,
|  | PLINT * | min,
|  | PLFLT * | sec
| ) |  |

Definition at line 451 of file scstubs.c.

void PLCPSTRM | ( | PLINT * | iplsr,
|  | PLBOOL * | flags
| ) |  |

Definition at line 457 of file scstubs.c.

void PLCTIME | ( | PLINT * | year,
|  | PLINT * | month,
|  | PLINT * | day,
|  | PLINT * | hour,
|  | PLINT * | min,
|  | PLFLT * | sec,
|  | PLFLT * | ctime
| ) |  |

Definition at line 463 of file scstubs.c.

void PLEND | ( | void |  | ) |

Definition at line 469 of file scstubs.c.

void PLEND1 | ( | void |  | ) |

Definition at line 475 of file scstubs.c.

void PLENV | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax,
|  | PLINT * | just,
|  | PLINT * | axis
| ) |  |

Definition at line 481 of file scstubs.c.

void PLENV0 | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax,
|  | PLINT * | just,
|  | PLINT * | axis
| ) |  |

Definition at line 488 of file scstubs.c.

void PLEOP | ( | void |  | ) |

Definition at line 495 of file scstubs.c.

void PLERRX | ( | PLINT * | n,
|  | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | y
| ) |  |

Definition at line 501 of file scstubs.c.

void PLERRY | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

Definition at line 507 of file scstubs.c.

void PLFAMADV | ( | void |  | ) |

Definition at line 513 of file scstubs.c.

void PLFILL | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y
| ) |  |

Definition at line 519 of file scstubs.c.

void PLFILL3 | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z
| ) |  |

Definition at line 525 of file scstubs.c.

void PLFLUSH | ( | void |  | ) |

Definition at line 531 of file scstubs.c.

void PLFONT | ( | PLINT * | font | ) |

Definition at line 537 of file scstubs.c.

void PLFONTLD | ( | PLINT * | charset | ) |

Definition at line 543 of file scstubs.c.

void PLGCHR | ( | PLFLT * | chrdef,
|  | PLFLT * | chrht
| ) |  |

Definition at line 549 of file scstubs.c.

void PLGCMAP1_RANGE | ( | PLFLT * | min_color,
|  | PLFLT * | max_color
| ) |  |

Definition at line 555 of file scstubs.c.

void PLGCOL0 | ( | PLINT * | icol0,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b
| ) |  |

Definition at line 561 of file scstubs.c.

void PLGCOL0A | ( | PLINT * | icol0,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLFLT * | a
| ) |  |

Definition at line 567 of file scstubs.c.

void PLGCOLBG | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b
| ) |  |

Definition at line 573 of file scstubs.c.

void PLGCOLBGA | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLFLT * | a
| ) |  |

Definition at line 579 of file scstubs.c.

void PLGCOMPRESSION | ( | PLINT * | compression | ) |

Definition at line 585 of file scstubs.c.

void PLGDEV7 | ( | char * | dev,
|  | int | length
| ) |  |

void PLGDIDEV | ( | PLFLT * | p_mar,
|  | PLFLT * | p_aspect,
|  | PLFLT * | p_jx,
|  | PLFLT * | p_jy
| ) |  |

void PLGDIORI | ( | PLFLT * | p_rot | ) |

void PLGDIPLT | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymax
| ) |  |

void PLGETCURSOR | ( | PLGraphicsIn * | gin | ) |

void PLGFAM | ( | PLINT * | fam,
|  | PLINT * | num,
|  | PLINT * | bmax
| ) |  |

void PLGFCI | ( | PLUNICODE * | pfci | ) |

void PLGFNAM7 | ( | char * | fnam,
|  | int | length
| ) |  |

void PLGFONT | ( | PLINT * | family,
|  | PLINT * | style,
|  | PLINT * | weight
| ) |  |

void PLGLEVEL | ( | PLINT * | level | ) |

void PLGPAGE | ( | PLFLT * | xpmm,
|  | PLFLT * | ypmm,
|  | PLINT * | xwid,
|  | PLINT * | ywid,
|  | PLINT * | xoff,
|  | PLINT * | yoff
| ) |  |

void PLGRA | ( | void |  | ) |

void PLGRADIENT | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | angle
| ) |  |

void PLGSPA | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

void PLGSTRM | ( | PLINT * | strm | ) |

void PLGVER7 | ( | char * | ver | ) |

void PLGVPD | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

void PLGVPW | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

void PLGXAX | ( | PLINT * | digmax,
|  | PLINT * | digits
| ) |  |

void PLGYAX | ( | PLINT * | digmax,
|  | PLINT * | digits
| ) |  |

void PLGZAX | ( | PLINT * | digmax,
|  | PLINT * | digits
| ) |  |

void PLHIST | ( | PLINT * | n,
|  | PLFLT * | data,
|  | PLFLT * | datmin,
|  | PLFLT * | datmax,
|  | PLINT * | nbin,
|  | PLINT * | oldwin
| ) |  |

void PLHLS | ( | PLFLT * | hue,
|  | PLFLT * | light,
|  | PLFLT * | sat
| ) |  |

void PLHLSRGB | ( | PLFLT * | h,
|  | PLFLT * | l,
|  | PLFLT * | s,
|  | PLFLT * | r,
|  | PLFLT * | g,
|  | PLFLT * | b
| ) |  |

void PLIMAGE | ( | PLFLT * | idata,
|  | PLINT * | nx,
|  | PLINT * | ny,
|  | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax,
|  | PLFLT * | zmin,
|  | PLFLT * | zmax,
|  | PLFLT * | Dxmin,
|  | PLFLT * | Dxmax,
|  | PLFLT * | Dymin,
|  | PLFLT * | Dymax
| ) |  |

void PLIMAGEFR | ( | PLFLT * | idata,
|  | PLINT * | nx,
|  | PLINT * | ny,
|  | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax,
|  | PLFLT * | zmin,
|  | PLFLT * | zmax,
|  | PLFLT * | Dxmin,
|  | PLFLT * | Dxmax,
|  | PLFLT * | Dymin,
|  | PLFLT * | Dymax,
|  | PLFLT * | valuemin,
|  | PLFLT * | valuemax
| ) |  |

void PLINIT | ( | void |  | ) |

void PLJOIN | ( | PLFLT * | x1,
|  | PLFLT * | y1,
|  | PLFLT * | x2,
|  | PLFLT * | y2
| ) |  |

void PLLAB7 | ( | const char * | xlab,
|  | const char * | ylab,
|  | const char * | title
| ) |  |

void PLLEGEND | ( | PLFLT * | p_legend_width,
|  | PLFLT * | p_legend_height,
|  | PLINT * | opt,
|  | PLINT * | position,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | plot_width,
|  | PLINT * | bg_color,
|  | PLINT * | bb_color,
|  | PLINT * | bb_style,
|  | PLINT * | nrow,
|  | PLINT * | ncolumn,
|  | PLINT * | nlegend,
|  | const PLINT * | opt_array,
|  | PLFLT * | text_offset,
|  | PLFLT * | text_scale,
|  | PLFLT * | text_spacing,
|  | PLFLT * | text_justification,
|  | const PLINT * | text_colors,
|  | const PLINT * | box_colors,
|  | const PLINT * | box_patterns,
|  | const PLFLT * | box_scales,
|  | const PLFLT * | box_line_widths,
|  | const PLINT * | line_colors,
|  | const PLINT * | line_styles,
|  | const PLFLT * | line_widths,
|  | const PLINT * | symbol_colors,
|  | const PLFLT * | symbol_scales,
|  | const PLINT * | symbol_numbers
| ) |  |

void PLLEGEND_CNV_TEXT | ( | PLINT * | id,
|  | PLINT * | number,
|  | char * | string,
|  | PLINT | length
| ) |  |

void PLLIGHTSOURCE | ( | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z
| ) |  |

void PLLINE | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y
| ) |  |

void PLLINE3 | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z
| ) |  |

void PLLSTY | ( | PLINT * | lin | ) |

void PLMAP7 | ( | const char * | type,
|  | PLFLT * | minlong,
|  | PLFLT * | maxlong,
|  | PLFLT * | minlat,
|  | PLFLT * | maxlat
| ) |  |

void PLMERIDIANS7 | ( | PLFLT * | dlong,
|  | PLFLT * | dlat,
|  | PLFLT * | minlong,
|  | PLFLT * | maxlong,
|  | PLFLT * | minlat,
|  | PLFLT * | maxlat
| ) |  |

void PLMKSTRM | ( | PLINT * | p_strm | ) |

void PLMTEX37 | ( | const char * | side,
|  | PLFLT * | disp,
|  | PLFLT * | pos,
|  | PLFLT * | just,
|  | const char * | text
| ) |  |

void PLMTEX7 | ( | const char * | side,
|  | PLFLT * | disp,
|  | PLFLT * | pos,
|  | PLFLT * | just,
|  | const char * | text
| ) |  |

void PLPARSEOPTS7 | ( | int * | numargs,
|  | const char * | iargs,
|  | PLINT * | mode,
|  | PLINT * | maxindex
| ) |  |

void PLPAT | ( | PLINT * | nlin,
|  | PLINT * | inc,
|  | PLINT * | del
| ) |  |

void PLPATH | ( | PLINT * | n,
|  | PLFLT * | x1,
|  | PLFLT * | y1,
|  | PLFLT * | x2,
|  | PLFLT * | y2
| ) |  |

void PLPOIN | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLINT * | code
| ) |  |

void PLPOIN3 | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z,
|  | PLINT * | code
| ) |  |

void PLPOLY3 | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z,
|  | PLBOOL * | draw,
|  | PLBOOL * | ifcc
| ) |  |

void PLPREC | ( | PLINT * | setp,
|  | PLINT * | prec
| ) |  |

void PLPSTY | ( | PLINT * | patt | ) |

void PLPTEX37 | ( | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z,
|  | PLFLT * | dx,
|  | PLFLT * | dy,
|  | PLFLT * | dz,
|  | PLFLT * | sx,
|  | PLFLT * | sy,
|  | PLFLT * | sz,
|  | PLFLT * | just,
|  | const char * | text
| ) |  |

void PLPTEX7 | ( | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | dx,
|  | PLFLT * | dy,
|  | PLFLT * | just,
|  | const char * | text
| ) |  |

PLFLT PLRANDD | ( | void |  | ) |

void PLREPLOT | ( | void |  | ) |

void PLRGB | ( | PLFLT * | red,
|  | PLFLT * | green,
|  | PLFLT * | blue
| ) |  |

void PLRGB1 | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b
| ) |  |

void PLRGBHLS | ( | PLFLT * | r,
|  | PLFLT * | g,
|  | PLFLT * | b,
|  | PLFLT * | h,
|  | PLFLT * | l,
|  | PLFLT * | s
| ) |  |

void PLSCHR | ( | PLFLT * | def,
|  | PLFLT * | scale
| ) |  |

void PLSCMAP0 | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLINT * | ncol0
| ) |  |

void PLSCMAP0A | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLFLT * | a,
|  | PLINT * | ncol0
| ) |  |

void PLSCMAP0N | ( | PLINT * | n | ) |

void PLSCMAP1 | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLINT * | ncol1
| ) |  |

void PLSCMAP1_RANGE | ( | PLFLT * | min_color,
|  | PLFLT * | max_color
| ) |  |

void PLSCMAP1A | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLFLT * | a,
|  | PLINT * | ncol1
| ) |  |

void PLSCMAP1L | ( | PLBOOL * | itype,
|  | PLINT * | npts,
|  | PLFLT * | intensity,
|  | PLFLT * | coord1,
|  | PLFLT * | coord2,
|  | PLFLT * | coord3,
|  | PLBOOL * | alt_hue_path
| ) |  |

void PLSCMAP1L2 | ( | PLBOOL * | itype,
|  | PLINT * | npts,
|  | PLFLT * | intensity,
|  | PLFLT * | coord1,
|  | PLFLT * | coord2,
|  | PLFLT * | coord3
| ) |  |

void PLSCMAP1LA | ( | PLBOOL * | itype,
|  | PLINT * | npts,
|  | PLFLT * | intensity,
|  | PLFLT * | coord1,
|  | PLFLT * | coord2,
|  | PLFLT * | coord3,
|  | PLFLT * | a,
|  | PLBOOL * | alt_hue_path
| ) |  |

void PLSCMAP1LA2 | ( | PLBOOL * | itype,
|  | PLINT * | npts,
|  | PLFLT * | intensity,
|  | PLFLT * | coord1,
|  | PLFLT * | coord2,
|  | PLFLT * | coord3,
|  | PLFLT * | a
| ) |  |

void PLSCMAP1N | ( | PLINT * | n | ) |

void PLSCOL0 | ( | PLINT * | icol0,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b
| ) |  |

void PLSCOL0A | ( | PLINT * | icol0,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLFLT * | a
| ) |  |

void PLSCOLBG | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b
| ) |  |

void PLSCOLBGA | ( | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLFLT * | a
| ) |  |

void PLSCOLOR | ( | PLINT * | color | ) |

void PLSCOMPRESSION | ( | PLINT * | compression | ) |

void PLSDEV7 | ( | const char * | dev | ) |

void PLSDIDEV | ( | PLFLT * | mar,
|  | PLFLT * | aspect,
|  | PLFLT * | jx,
|  | PLFLT * | jy
| ) |  |

void PLSDIMAP | ( | PLINT * | dimxmin,
|  | PLINT * | dimxmax,
|  | PLINT * | dimymin,
|  | PLINT * | dimymax,
|  | PLFLT * | dimxpmm,
|  | PLFLT * | dimypmm
| ) |  |

void PLSDIORI | ( | PLFLT * | rot | ) |

void PLSDIPLT | ( | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

void PLSDIPLZ | ( | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

void PLSEED | ( | unsigned int * | s | ) |

void PLSESC | ( | PLINT * | esc | ) |

void PLSETMAPFORMC | ( | void(STDCALL *mapform)(PLINT *, PLFLT *, PLFLT *) |  | ) |

Definition at line 1279 of file scstubs.c.

void PLSETOPT7 | ( | const char * | opt,
|  | const char * | optarg
| ) |  |

Definition at line 1290 of file scstubs.c.

void PLSFAM | ( | PLINT * | fam,
|  | PLINT * | num,
|  | PLINT * | bmax
| ) |  |

Definition at line 1296 of file scstubs.c.

void PLSFCI | ( | PLUNICODE * | fci | ) |

Definition at line 1305 of file scstubs.c.

void PLSFNAM7 | ( | const char * | fnam | ) |

Definition at line 1311 of file scstubs.c.

void PLSFONT | ( | PLINT * | family,
|  | PLINT * | style,
|  | PLINT * | weight
| ) |  |

Definition at line 1317 of file scstubs.c.

void PLSLABELFUNC_NONE | ( | void |  | ) |

void PLSLABELFUNC_NONEa | ( | void |  | ) |

void PLSLABELFUNC_OFF | ( | PLINT * | dummy | ) |

void PLSLABELFUNC_OFFa | ( | PLINT * | dummy | ) |

void PLSLABELFUNC_ON | ( | void(STDCALL *labelfunc)(PLINT *, PLFLT *, char *, PLINT *, PLINT) |  | ) |

Definition at line 1323 of file scstubs.c.

void PLSLABELFUNC_ONa | ( | void(STDCALL *labelfunc)(PLINT *, PLFLT *, char *, PLINT *, PLINT) |  | ) |

Definition at line 1331 of file scstubs.c.

void PLSMAJ | ( | PLFLT * | def,
|  | PLFLT * | scale
| ) |  |

void PLSMEM | ( | PLINT * | maxx,
|  | PLINT * | maxy,
|  | void * | plotmem
| ) |  |

void PLSMEMA | ( | PLINT * | maxx,
|  | PLINT * | maxy,
|  | void * | plotmem
| ) |  |

void PLSMIN | ( | PLFLT * | def,
|  | PLFLT * | scale
| ) |  |

void PLSORI | ( | PLINT * | ori | ) |

void PLSPAGE | ( | PLFLT * | xpmm,
|  | PLFLT * | ypmm,
|  | PLINT * | xwid,
|  | PLINT * | ywid,
|  | PLINT * | xoff,
|  | PLINT * | yoff
| ) |  |

void PLSPAL07 | ( | const char * | filename | ) |

void PLSPAL17 | ( | const char * | filename,
|  | PLBOOL * | interpolate
| ) |  |

void PLSPAUSE | ( | PLBOOL * | pause | ) |

void PLSSTRM | ( | PLINT * | strm | ) |

void PLSSUB | ( | PLINT * | nx,
|  | PLINT * | ny
| ) |  |

void PLSSYM | ( | PLFLT * | def,
|  | PLFLT * | scale
| ) |  |

void PLSTAR | ( | PLINT * | nx,
|  | PLINT * | ny
| ) |  |

void PLSTART7 | ( | const char * | devname,
|  | PLINT * | nx,
|  | PLINT * | ny
| ) |  |

void PLSTRANSFORM1 | ( | void(STDCALL *transformfunc)(PLFLT *, PLFLT *, PLFLT *, PLFLT *) |  | ) |

void PLSTRANSFORM2 | ( | PLINT * | dummy | ) |

void PLSTRANSFORM3 | ( | void |  | ) |

void PLSTRING37 | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z,
|  | const char * | string
| ) |  |

void PLSTRING7 | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | const char * | string
| ) |  |

void PLSTRIPA | ( | PLINT * | id,
|  | PLINT * | pen,
|  | PLFLT * | x,
|  | PLFLT * | y
| ) |  |

void PLSTRIPC | ( | PLINT * | id,
|  | const char * | xspec,
|  | const char * | yspec,
|  | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | xjump,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax,
|  | PLFLT * | xlpos,
|  | PLFLT * | ylpos,
|  | PLBOOL * | y_ascl,
|  | PLBOOL * | acc,
|  | PLINT * | colbox,
|  | PLINT * | collab,
|  | PLINT * | colline,
|  | PLINT * | styline,
|  | const char * | legline0,
|  | const char * | legline1,
|  | const char * | legline2,
|  | const char * | legline3,
|  | const char * | labx,
|  | const char * | laby,
|  | const char * | labtop
| ) |  |

void PLSTRIPD | ( | PLINT * | id | ) |

void PLSTYL | ( | PLINT * | n,
|  | PLINT * | mark,
|  | PLINT * | space
| ) |  |

void PLSVECT1 | ( | PLFLT * | arrowx,
|  | PLFLT * | arrowy,
|  | PLINT * | npts,
|  | PLBOOL * | fill
| ) |  |

void PLSVECT2 | ( | void |  | ) |

void PLSVPA | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

void PLSXAX | ( | PLINT * | digmax,
|  | PLINT * | digits
| ) |  |

void PLSYAX | ( | PLINT * | digmax,
|  | PLINT * | digits
| ) |  |

void PLSYM | ( | PLINT * | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLINT * | code
| ) |  |

void PLSZAX | ( | PLINT * | digmax,
|  | PLINT * | digits
| ) |  |

void PLTEXT | ( | void |  | ) |

void PLTIMEFMT7 | ( | const char * | fmt | ) |

static void pltransformf2c | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | tx,
|  | PLFLT * | ty,
|  | PLPointer | data
| ) |  |
| static

static void pltransformf2c | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | tx,
|  | PLFLT * | ty,
|  | PLPointer | PL_UNUSEDdata
| ) |  |
| static

Definition at line 284 of file scstubs.c.

void PLVASP | ( | PLFLT * | aspect | ) |

void PLVPAS | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax,
|  | PLFLT * | aspect
| ) |  |

void PLVPOR | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

void PLVSTA | ( | void |  | ) |

void PLW3D | ( | PLFLT * | basex,
|  | PLFLT * | basey,
|  | PLFLT * | height,
|  | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax,
|  | PLFLT * | zmin,
|  | PLFLT * | zmax,
|  | PLFLT * | alt,
|  | PLFLT * | az
| ) |  |

void PLWIDTH | ( | PLFLT * | width | ) |

void PLWIND | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

void PLXORMOD | ( | PLBOOL * | mode,
|  | PLBOOL * | status
| ) |  |

static void | ( | STDCALL * | plmapform | ) |
| static

## Variable Documentation

char** plcolorbar_axisopts
| static

Definition at line 51 of file scstubs.c.

char** plcolorbar_labels
| static

Definition at line 50 of file scstubs.c.

PLFLT PLFLT* static PLFLT char PLINT PLINT

Definition at line 42 of file scstubs.c.

char** pllegend_symbols
| static

Definition at line 49 of file scstubs.c.

PLFLT PLFLT PLFLT* static char** pllegend_text
| static

Definition at line 45 of file scstubs.c.